int cvequid(int *in, int *out)
{
   int i,j,kod_powrotu;

   uni_.mm=in->liczba_stalych;         //przeslanie danych C->Fortran
   uni_.nexp=in->liczba_miareczkowan;
   c6_.npint=in->liczba_punktow_w_miareczkowaniach;
   c6_.vm=in->objetosci_titranda;
   c17_.lk=in->log_stalych_kwasowosci;
   

   uni_.m=uni_.mm+1;
   uni_.n=uni_.m+2;
   uni_.nrede=0;
   uni_.nstode=0;
   uni_.nspek=0;
/* Przypisywanie macierzy stechiometrycznej dla ukladu m rownowag kwasowo-zasadowych
 * oraz reakcji autoprotolizy wody. Ten fragment mozna bedzie wymienic na parsowanie
 * chemicznego zapisu reakcji zachodzacych w ukladzie */
   for (i=0;i<uni_.m;i++) 
   {
     for (j=1;j<=uni_.m;j++) 
     {
        c16_.a[j][i]=0.0;
     }
     c16_.a[i][i]=-1.0; // -1 w pozycji odpowiadajacej czastce HmA
   }
   for (i=1;i<uni_.m;i++) {
     c16_.a[0][i]=(double) i;  // i dla protonu (proton w pierwszej pozycji)
     c16_.a[uni_.m+1][i]=1.0; // 1 dla H(m-i)A dla i-tej reakcji
   }
   c16_.a[uni_.n-1][uni_.m-1]=1.0;  // ostatni element macierzy dla jonu wodorotlenowego

   uni_.ncomp=2;

/* 
 * Wywolanie CVEQUIDu; kod_powrotu=0 wskazuje, ze program zakonczyl sie poprawnie 
 */
   fortran_cvequid_(kod_powrotu); 
/*
   out->dana=common.dana;        //przeslanie Fortran->C
*/
   return(kod_powrotu);          //np. ilosc wyznaczonych wartosci pKa
}

