	SUBROUTINE WRITIN
	IMPLICIT REAL*8(A-H,O-Z)
	CHARACTER*80 TITLE
	CHARACTER*32 NAME
	INTEGER EACHIT
	INTEGER NVAR(20),NVARS(20),NWC(30),WADJ(40),ADJ(40,2),WY(20,20),
     *      NNZ(20),NCM(5),NCT(5)
	REAL*8 BE(4,15),C(250,20),DECHAR(50,5),DEMF(200),DEV(200),
     *      DEXTIN(50,4),LK(15),P(15,5),QCOMP(20,20),WW(50),VCOMP(40)
     *      ,EST(5),ALFA(5),VM(5)
	COMMON
     *      /UNI/ M,N,MM,NWAVE,NWAVAR,NREDE,NSTODE,NCHAR,NCHARV,NSPEK,
     *      NPOT,NIM,NNREDE,MNREDE,NREDE1,M1,MX,MX1,ISOL,NPARAM,MXNWA1,
     *      MXNWA,NEXP,NUMIT,MAXMAR,MAXIT,
     *      MAXU,KON30,KON15,KON5,EACHIT
     *      ,MMM,MMX,MXX,MXX1,MXC,MXW,MXV,MXVV,MXA,NPC,NVRTEX,
     *      NVRTXC,NADJ,NADJC,NCOMP,NCOMP1
     *      /U1/ BLOG,
     *      RMIND,REL,DUMDT,RLAMBD,VMARQ,WNORM,RKRYT,EST,ALFA,SIGEMF,
     *      SIGMAV,COEXP,PARS,UZG
	      COMMON
     *      /C2/ BE,DEMF,DEV
     *      /C6/ VM
     *      /C3/ C,DECHAR
     *      /C12/ P
     *      /C15/ DEXTIN
     *      /C17/ LK
     *      /C22/ NWC,WADJ,NVAR,NVARS
     *      /C23/ WY,NNZ,NCM,NCT,ADJ
     *      /C24/ QCOMP,WW,VCOMP
        COMMON /NAMES/ TITLE,NAME(15)
	WRITE(9,2001)NUMIT
        WRITE(*,2001)NUMIT
2001	FORMAT('Iteration #',i5/)
	WRITE(9,1000)
1000	FORMAT (//' Equilibrium constants and their logarithms'//
     *' Nr      K         Log K')
	DO 1 I=1,M
	  ALK=LK(I)/BLOG
	AK=DEXP(ALK*BLOG)
	  WRITE(9,1001) I,AK,ALK
1	CONTINUE
1001	FORMAT(1X,I2,3X,1PD10.4,3X,0PF8.4)
	WRITE(9,1002)
1002	FORMAT(//' P - factor in the stoichiometric matrix:'/)
	CALL PIS(15,1,M,1,NIM,6,P)
	WRITE(9,2002) UZG,RLAMBD
        WRITE(*,2002) UZG,RLAMBD
2002  FORMAT('Minimized sum:',3X,1PD14.7/
     &       'Marquardt parameter LAMBDA:',1PD9.2/)
	IF(MXC.EQ.MX) GOTO 4
	WRITE(9,1004)
1004  FORMAT(//'Composition parameters:'//1x,'The amounts of species ',
     &   'in the basic solutions (solids):')
	DO 5 I=1,NCOMP
	NVARI=NVAR(I)
	IF(NVARI.EQ.0) GOTO 5
	WRITE(9,1005) I,(NAME(WY(I,J))(:12),QCOMP(I,J),J=1,NVARI)
5	CONTINUE
1005	 FORMAT(/1X,'SOLUTION #',I2//20(A12,3X,1PD11.4/))
4	CONTINUE
	IF(MXW.EQ.MXC) GOTO 6
	WRITE (9,1009)
	DO 9 I=1,NVRTXC
	Y=1.0/WW(NWC(I))
9	WRITE(9,1006) NWC(I),Y
1006	FORMAT(1X,I3,3X,1PD11.4)
1009	FORMAT(//'Total volumes of solutions:'/)
6	CONTINUE
	IF (NADJC.EQ.0) GOTO 7
	WRITE(9,1007)(ADJ(WADJ(I),1),ADJ(WADJ(I),2),VCOMP(WADJ(I)),I=1,
     &   NADJC)
1007	FORMAT(//'Partial volumes of solutions'/40(2i5,3x,1pd11.4/))
7	CONTINUE
	IF(MXV.EQ.MXX) GOTO 8
	WRITE(9,1008)(I,VM(I),EST(I),ALFA(I),I=1,NEXP)
1008	FORMAT(//'Titr    Vm               Eo           S      '
     &     ,5(/1X,I3,3X,F9.4,7X,F11.4,4X,F8.4))
8	CONTINUE
	IF(NSPEK.EQ.0)GOTO 3
	WRITE(9,1003)
1003	FORMAT(//'Molar absorption coefficients:'/)
	CALL PIS(4,1,NWAVE,1,N,6,BE)
3	CONTINUE
	RETURN
	END
